package cn.ibizhub.demo.demo.domain;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.sql.Timestamp;

/**
 * 实体[ONEET] 数据对象
 */
@Entity(name = "t_oneet")
@Data
public class ONEET{

    @Column(name = "updatedate")
    private Timestamp updatedate;
    @Column(name = "createman")
    private String createman;
    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String oneetid;
    @Column(name = "updateman")
    private String updateman;
    @Column(name = "createdate")
    private Timestamp createdate;
    @Column(name = "oneetname")
    private String oneetname;

    @OneToMany(mappedBy = "oneetid", cascade = CascadeType.ALL, orphanRemoval = true)//关系从表数据
    private List <MANYET> manyets = new ArrayList<>();

    public void addMANYET(MANYET manyet) {
        manyets.add( manyet );
        manyet.setOneetid( this );
    }

    public void removeMANYET(MANYET manyet) {
        manyets.remove( manyet );
        manyet.setOneetid( null );
    }
    @Override
    public String toString() {

        return "updatedate=" +updatedate+","+"createman=" +createman+","+"oneetid=" +oneetid+","+"updateman=" +updateman+","+"createdate=" +createdate+","+"oneetname=" +oneetname ;
    }

}
